<script>
  import { json } from 'd3-fetch';
  import { onMount } from 'svelte';
  import { extent } from 'd3-array';
  import { scaleLinear } from 'd3-scale';

  import Path from './_design_1_path.svelte';
  import PathS from './_design_1_path2.svelte';

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  let datapoints=[]
  onMount(async () => {
    datapoints = await json("/data/hourly_heating_december.json");
  });

  let databuild={}
  $: datapoints.forEach((d) => {
    if(!(d.buildingtype in databuild)){
      databuild[d.buildingtype]=[]
    }
    databuild[d.buildingtype].push(d.total_heating_energy)
  })
  //$: console.log(databuild)

  let City=["Baltimore", "Chicago", "Los Angeles"];
  $: scaleY = scaleLinear().domain(extent(datapoints.map((d) => d.total_heating_energy))).range([0, -7]);
  $: Yscale = scaleLinear().domain(extent(datapoints.map((d) => d.total_heating_energy))).range([0, 7])
  let scaleX = scaleLinear().domain([0, 2232]). range([0, 580]);



</script>


<svg {width} {height}>
  <g transform="translate({margin.left}, {margin.top})">
    <!--  -->
    {#each Object.keys(databuild) as build, build_idx}
      <g transform="translate(0, {build_idx*15})">
        <Path data={databuild[build]} scaleX={scaleX} scaleY={scaleY} />
        <PathS data={databuild[build]} scaleX={scaleX} Yscale={Yscale} />
      </g>
    {/each}
  </g>
</svg>

<div class="col-2">
<h5>Location</h5>

{#each City as city}
  <label>
    <input type=radio group={City} name="city" value={city}>
    {city}
  </label>
{/each}

<h5>Scaling</h5>
<label>
  <input type=radio group=Scaling name="scaling" value="per building">
  per line
</label>
<label>
  <input type=radio group=Scaling name="scaling" value="across all">
  across all lines
</label>
</div>


<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
</style>
